import logging
from lib.MQTT import *
from lib.MQTT_Broker import *
from lib.Nfc import *

lev = None


def initlib_log(lev):
    #TRACE0_MQTT, TRACE_MQTT, DEBUG_MQTT
    initlog_MQTT(0, 14, 0)
    #TRACE0_FCL, TRACE_FCL, DEBUG_FCL
    initlog_FCL(0, 13, 0)
    #TRACE0_NFC, TRACE_NFC, DEBUG_NFC
    initlog_NFC(0, 0, 0)
    # Logging levels already reserved:
    #  CRITICAL 50
    #  ERROR 40
    #  WARNING 30
    #  INFO 20
    #  DEBUG 10 (Debug all)
    #  #TRACE 9 (no loops)
    #  #TRACE0 1 (with loops)
    #  NOTSET 0

    logging.TRACE0 = 1
    logging.addLevelName(logging.TRACE0 , 'TRACE0')
    logging.TRACE = 9
    logging.addLevelName(logging.TRACE , 'TRACE')

    logging.basicConfig(\
    filename='/opt/ft/workspaces/GatewayPLC/data/log.txt',\
    filemode='w',\
    level=lev,\
    format="%(asctime)s [%(threadName)s] %(levelname)-10s %(funcName)3s %(message)s   #%(filename)3s:%(lineno)d"\
    )


