// auto generated content from display configuration
import QtQuick 2.2
import QtQuick.Window 2.0
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.1
import QtQuick.Extras 1.4

TXTWindow {
  Rectangle {
    id: rect
    color: "grey"
    anchors.fill: parent
  }
  TXTLabel {
    id: txt_label_cloud_
    text: "www.fischertechnik-cloud.com"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 11
    y: 151
    width: 191
    height: 15
  }
  TXTLabel {
    id: txt_label_message
    text: ""
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 10
    y: 170
    width: 220
    height: 20
  }
  StatusIndicator {
    id: txt_status_indicator_cloud_connected
    color: "#12FF00"
    active: false
    x: 214
    y: 152
    width: 15
    height: 15
  }
  TXTLabel {
    id: txt_label_version
    text: ""
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 5
    y: 15
    width: 230
    height: 15
  }
  TXTLabel {
    id: txt_label_model
    text: "Training Factory Industry 4.0 24V"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 5
    y: 0
    width: 230
    height: 15
  }
  StatusIndicator {
    id: txt_status_indicator_local_connected
    color: "#00FF0F"
    active: false
    x: 214
    y: 135
    width: 15
    height: 15
  }
  TXTLabel {
    id: txt_label_local_
    text: "MQTT client: Node-RED"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 11
    y: 133
    width: 195
    height: 15
  }
  TXTLabel {
    id: txt_label_message2
    text: ""
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 10
    y: 190
    width: 220
    height: 20
  }
  TXTLabel {
    id: txt_label_broker_
    text: "MQTT broker"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 11
    y: 113
    width: 71
    height: 15
  }
  StatusIndicator {
    id: txt_status_indicator_broker
    color: "#00FF0F"
    active: false
    x: 97
    y: 114
    width: 15
    height: 15
  }
  TXTLabel {
    id: txt_label_message3
    text: ""
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 10
    y: 210
    width: 220
    height: 20
  }
  TXTSwitch {
    id: txt_switch_cam
    text: "<h2> Cloud camera on</h2>"
    font.pixelSize: 22
    font.bold: false
    font.italic: false
    font.underline: false
    enabled: true
    checked: false
    x: 4
    y: 30
    width: 154
    height: 27
  }
  TXTLabel {
    id: txt_label_bridge
    text: "MQTT bridge"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignLeft
    color: "#ffffff"
    elide: Text.ElideRight
    x: 134
    y: 115
    width: 71
    height: 15
  }
  StatusIndicator {
    id: txt_status_indicator_bridge
    color: "#00FF0F"
    active: false
    x: 214
    y: 116
    width: 15
    height: 15
  }
  StatusIndicator {
    id: txt_piece_white
    color: "#FFFFFF"
    active: false
    x: 16
    y: 62
    width: 20
    height: 20
  }
  StatusIndicator {
    id: txt_piece_red
    color: "#ff0000"
    active: false
    x: 91
    y: 62
    width: 20
    height: 20
  }
  StatusIndicator {
    id: txt_piece_blue
    color: "#0060FF"
    active: false
    x: 167
    y: 63
    width: 20
    height: 20
  }
  TXTButton {
    id: txt_order_white
    text: "Order"
    font.pixelSize: 18
    font.bold: false
    font.italic: false
    font.underline: false
    enabled: true
    x: 13
    y: 88
    width: 50
    height: 20
  }
  TXTButton {
    id: txt_order_red
    text: "Order"
    font.pixelSize: 18
    font.bold: false
    font.italic: false
    font.underline: false
    enabled: true
    x: 91
    y: 88
    width: 50
    height: 20
  }
  TXTButton {
    id: txt_order_blue
    text: "Order"
    font.pixelSize: 18
    font.bold: false
    font.italic: false
    font.underline: false
    enabled: true
    x: 166
    y: 87
    width: 50
    height: 20
  }
  TXTLabel {
    id: txt_lb_stock_white
    text: "0"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignHCenter
    color: "#ffffff"
    elide: Text.ElideRight
    x: 43
    y: 59
    width: 25
    height: 25
  }
  TXTLabel {
    id: txt_lb_stock_red
    text: "0"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignHCenter
    color: "#ffffff"
    elide: Text.ElideRight
    x: 117
    y: 59
    width: 25
    height: 25
  }
  TXTLabel {
    id: txt_lb_stock_blue
    text: "0"
    font.pixelSize: 16
    font.bold: false
    font.italic: false
    font.underline: false
    horizontalAlignment: Text.AlignHCenter
    color: "#ffffff"
    elide: Text.ElideRight
    x: 195
    y: 58
    width: 25
    height: 25
  }
}
